Skip to main content
PATCH
JavaScript

Authorizations

X-API-KEY
string
header
required

Headers

Tenant-ID
string

The tenant identifier for multi-tenant organisations. Required when the organisation has multi-tenancy enabled. Pass your own internal customer ID for the tenant. Ignored for single-tenant organisations.

Path Parameters

systemId
string<uuid>
required

The UUID of the points system.

Body

application/json
Required array length: 1 - 100 elements
id
string<uuid>
required

The UUID of the trigger to update.

type
enum<string>

Updated trigger type. Can only be changed when the trigger is inactive. Required fields for the new type must be provided.

Available options:
metric,
achievement,
streak,
time,
user_creation
points
integer

Updated points value.

status
enum<string>

Updated status.

Available options:
active,
inactive
userAttributes
object[] | null

Updated user attribute filters. Set to null to clear.

metricId
string<uuid>

Updated metric ID. Only permitted for metric triggers.

metricThreshold
integer

Updated metric threshold. Only permitted for metric triggers.

Required range: x >= 1
eventAttributes
object[] | null

Updated event attribute filters. Only permitted for metric triggers. Set to null to clear.

achievementId
string<uuid>

Updated achievement ID. Only permitted for achievement triggers.

streakLength
integer

Updated streak length. Only permitted for streak triggers.

Required range: x >= 1
timeUnit
enum<string>

Updated time unit. Only permitted for time triggers.

Available options:
hours,
days
timeInterval
integer

Updated time interval. Only permitted for time triggers.

Required range: x >= 1
blockIfOutOfPoints
boolean

Updated block-if-out-of-points setting.

Response

Successfully processed the update request.

Response containing updated triggers and any issues encountered.

updated
AdminPointsTrigger · object[]
required

Array of successfully updated triggers.

issues
AdminIssue · object[]
required

Array of issues encountered during trigger updates.